| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCore::IClientDOMSerializer_v1 Class Referenceabstract

Version 1 of the interface that supports serializing by the client supplied serializer of the XMP Data Model. More...

`#include <IClientDOMSerializer.h>`

## Public Member Functions
virtual void APICALL | Serialize (const spINode &node, const spcINameSpacePrefixMap &nameSpacePrefixMap, pcIConfigurable configurationParameters, ReportErrorAndContinueFunctor functor, const spIUTF8String &string)=0
| Serialize the XMP Data Model taking into account the configuration parameters. More...
virtual bool APICALL | AreKeysCaseSensitive () const
| Indicates whether object supports case sensitive keys or not. More...
virtual void APICALL | Initialize (pIConfigurable configurationParameters)
| Initializes the default configuration parameters. The object needs to fill the default configuration parameters supported by it. More...
virtual eConfigurableErrorCode APICALL | Validate (const uint64 &key, IConfigurable::eDataType dataType, const IConfigurable::CombinedDataValue &dataValue)
| Validate the data type and value for a parameter. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the library when the object is no longer required by it and client can free up the resources or memory associated with the object. More...

## Protected Member Functions
virtual | ~IClientDOMSerializer_v1 ()

## Detailed Description

Version 1 of the interface that supports serializing by the client supplied serializer of the XMP Data Model.

Provides functions to serialize the XMP Data Model. Thread safety is controllable by the client.

Definition at line 27 of file IClientDOMSerializer.h.

## Constructor & Destructor Documentation

## ◆ ~IClientDOMSerializer_v1()

virtual AdobeXMPCore::IClientDOMSerializer_v1::~IClientDOMSerializer_v1 | ( |  | ) |
| inline protected virtual

Destructor

Definition at line 79 of file IClientDOMSerializer.h.

79 {}

## Member Function Documentation

## ◆ AreKeysCaseSensitive()

virtual bool APICALL AdobeXMPCore::IClientDOMSerializer_v1::AreKeysCaseSensitive | ( |  | ) | const
| inline virtual

Indicates whether object supports case sensitive keys or not.

Returns
  True in case object supports case sensitive keys, false otherwise.

Note
  Default implementation makes keys case insensitive.

Definition at line 48 of file IClientDOMSerializer.h.

48 { return false; }

## ◆ Initialize()

virtual void APICALL AdobeXMPCore::IClientDOMSerializer_v1::Initialize | ( | pIConfigurable | configurationParameters | ) |
| inline virtual

Initializes the default configuration parameters. The object needs to fill the default configuration parameters supported by it.

Parameters

  [in] | configurationParameters | An empty object of type AdobeXMPCommon::IConfigurable.

Note
  Default implementation does not fill anything in the configuration parameters.

Definition at line 56 of file IClientDOMSerializer.h.

56 {};

## ◆ Release()

virtual void APICALL AdobeXMPCore::IClientDOMSerializer_v1::Release | ( |  | ) | const
| pure virtual

Called by the library when the object is no longer required by it and client can free up the resources or memory associated with the object.

## ◆ Serialize()

virtual void APICALL AdobeXMPCore::IClientDOMSerializer_v1::Serialize | ( | const spINode & | node,
|  | const spcINameSpacePrefixMap & | nameSpacePrefixMap,
|  | pcIConfigurable | configurationParameters,
|  | ReportErrorAndContinueFunctor | functor,
|  | const spIUTF8String & | string
| ) |  |
| pure virtual

Serialize the XMP Data Model taking into account the configuration parameters.

Parameters

  [in] | node | The node to be serialized.
  [in] | nameSpacePrefixMap | An object of type #INameSpacePrefixMap which contains preferred prefixes for namespaces.
  [in] | configurationParameters | An object of type AdobeXMPCommon::IConfigurable containing all the configuration parameters requested by client to be taken care of while serializing.
  [in] | functor | A function object to be used by the serializing operation to report back any encountered errors/warnings.
  [out] | string | A shared pointer to an IUTF8String object which should be filled with the serialized form of XMP Data Model.

## ◆ Validate()

virtual eConfigurableErrorCode APICALL AdobeXMPCore::IClientDOMSerializer_v1::Validate | ( | const uint64 & | key,
|  | IConfigurable::eDataType | dataType,
|  | const IConfigurable::CombinedDataValue & | dataValue
| ) |  |
| inline virtual

Validate the data type and value for a parameter.

Parameters

  [in] | key | An unsigned 64 bit integer value indicating the key.
  [in] | dataType | A value of type AdobeXMPCommon::IConfigurable::eDataType indicating the type of value the parameter holds.
  [in] | dataValue | A value of #AdobeXMPCommon::IConfigurable::CombinedDataValue indicating the value the parameter holds.

Returns
  An error code in case there is something wrong with the combination, otherwise returns #AdobeXMPCommon::eCECNone.

Note
  Default implementation validates all the keys + dataTypes + dataValue combinations.

Definition at line 66 of file IClientDOMSerializer.h.

66 {
67 return kCECNone;
68 }

References AdobeXMPCommon::kCECNone.

The documentation for this class was generated from the following file:

- public/include/XMPCore/Interfaces/IClientDOMSerializer.h

AdobeXMPCommon::kCECNone
@ kCECNone
Indicates no error.
Definition: XMPCommonErrorCodes.h:94